/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2017 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sundhedsdatastyrelsen.livstestamente.migration.util;

public class ValidationErrors {
    public static final String NO_CSV_FILES = "Csv filerne til migrering kunne ikke findes, placere filerne rigtigt eller tjek om navngivning er korrekt";
    public static final String HEADERS_NOT_VALID = "De pågældende headers: [%s] er ikke supporteret. Værdier der er supporteret er: [%s].";
    public static final String PERSON_ID_INVALID = "Fejl i kolonne: [PersonID]. Forventet format: [cifre]. Faktisk data: [%s]";
    public static final String PERSON_IDENTIFIER_INVALID = "Ugyldig data for PersonID: [%s]. Fejl i kolonne: [CivilRegistrationNumber]. Forventet format: [10 cifre]. Faktisk data: [%s]";
    public static final String PERSON_ID_NON_EXISTING = "Ugyldig data for PersonID: [%s]. Fejl i kolonne: [CivilRegistrationNumber]. CivilRegistrationNumber indeholder fejl / eksistere ikke i PersonData.csv filen";
    public static final String BOOLEAN_DATA_INVALID = "Ugyldig data for PersonID: [%s]. Fejl i kolonne [%s]. Forventet format: [J eller N]. Faktisk data: [%s]";
    public static final String DATE_INVALID = "Ugyldig data for PersonID: [%s]. Fejl i kolonne: [%s]. Forventet format: [%s]. Faktisk data: [%s]";
    public static final String DATE_REQUIRED = "Ugyldig data for PersonID: [%s]. Kolonne [%s] er påkrævet";

}
